Subject: Re: one apple volume and different users

From: Mac Conin <[email-masked]>
Date: Wed, 25 Apr 2001 22:08:30 +0200

ok

it looks now like
drwxrwsrwx   19 mconin   users        4096 Apr 25 20:51 .
drwxrwxrwx   21 mconin   users        4096 Apr 25 00:00 ..
drwxrwsr-x   23 other2   users        4096 Apr 21 16:13 .AppleDesktop
drwxrwsr-x    2 other    users        4096 Apr 25 20:51 .AppleDouble
drwxrwsr-x    4 mconin   users        4096 Mär  7 08:16 directory
drwxrwsr-x    4 mconin   users        4096 Apr 25 20:50 Network Trash Folder

and within the Trash folder
drwxrwsr-x    4 mconin   users        4096 Apr 25 20:50 .
drwxrwsrwx   19 mconin   users        4096 Apr 25 20:51 ..
drwxrwsr-x    2 mconin   users        4096 Apr 25 20:39 .AppleDouble
drwxrwsr-x    3 mconin   users        4096 Apr 25 20:51 Trash Can #2
-rw-rw-r--    1 other    users           0 Apr 25 20:39 Trash Can Usage Map

for my first testings it _seems_ that now different users can place
files into the trash.
but also it _seems_ that every user is capable of taking files out of
the bin (the trash).

I don't think this is really worth to mention while
the files are already shared - but anyway.. I can live with that.

If we wouldn't work with Xpress (and its mechanism of stamping im ages
as modified),
I would prefer to place a symbolic link in each users home directory
pointing to the share,
giv'em an own .AppleVolumes definition and everythings would be fine.

As a programmer it couldn't be much hassle to generate a 'Trash Can#user'
while the user enters the volume.

charlie wood wrote:
> 
> The Network Trash Folder (on my server) is created at the root level of the
> shared volume, and everyone has permissions to do what is needed to anything
> inside the shared volume directory.
> 
> More clearly:
> 
> My shared volume is:
> 
> /home/Projects/
> 
> here's an ls -la of that folder (for security, the actual project names have
> been renamed to "Project A):
> 
> drwxr-xr-x   19 root     users        4096 Apr 18 11:19 .
> drwxr-xr-x   12 root     root         4096 Apr  9 16:24 ..
> drwxrwsr-x   16 cameronm users        4096 Mar 29 16:14 Project A
> drwxrwsr-x    7 allisonb users        4096 Jan 25 11:11 Project A
> drwxrwsr-x    8 charlie  users        4096 Jan 11 11:01 Project A
> drwxrwsr-x   13 sharic   users        4096 Apr 23 11:43 Project A
> drwxrwsr-x    3 charlie  users        4096 Feb 13 14:38 Project A
> drwxrwsr-x   10 allisonb users        4096 Apr  9 09:16 Project A
> drwxrwsr-x    6 jen      users        4096 Apr 23 14:16 Project A
> drwxrwsr-x    5 allisonb users        4096 Apr 18 10:30 Project A
> drwxrwsr-x    9 allisonb users        4096 Apr 24 13:29 Project A
> drwxrwsr-x    3 allisonb users        4096 Mar 30 13:17 Project A
> drwxrwsr-x    3 allisonb users        4096 Mar 30 13:17 Project A
> drwxrwsr-x    5 allisonb users        4096 Apr 23 14:32 Project A
> drwxrwsr-x    3 allisonb users        4096 Apr 19 11:52 Project A
> drwxrwsr-x    6 allisonb users        4096 Apr 23 13:28 Network Trash Folder
> drwxrwsr-x    6 allisonb users        4096 Apr 10 22:50 Project A
> drwxrwsr-x    3 allisonb users        4096 Nov 14 16:43
> TheVolumeSettingsFolder
> drwxrwsr-x    4 allisonb users        4096 Apr 12 12:25 Project A
> 
> Notice the permissions settings for everything. The user bit is on, because
> the permissions for the parent directory (/home/Projects/) also has the same
> permission setting. Therefore everything inside it gets the same permissions
> as the parent, thereby eliminating the need to monkey with individual
> permissions all the time. As long as a user is in the group, they can do
> whatever they want in the folder. This includes the Trash Folder, and the
> Volume Settings folder. Both of the latter are important for individual Mac
> users, and the way that they can interact with the files.
> 
> I have not run across the multiple trash cans on my server so perhaps I'm
> not answering your specific question very well <shrug> :-)
> 
> What version of netatalk are you using? Perhaps what is being called Trash
> Can #2 is, in fact the same directory as Network Trash Folder. Try the
> permissions experiment I just mentioned as see if that works.
> 
> </charlie>
> 
> -------original message-------
> 
> > From: Mac Conin <[email-masked]>
> > Organization: EUC Online Service GmbH
> > Date: Wed, 25 Apr 2001 18:55:19 +0200
> > To: charlie wood <[email-masked]>
> > Cc: "[email-masked]" <[email-masked]>
> > Subject: Re: one apple volume and different users
> > Resent-From: [email-masked]
> > Resent-Date: Wed, 25 Apr 2001 13:01:56 -0400 (EDT)
> >
> > nope
> >
> > afpd creates a directory Trash Can #2 and only this.
> > It doesn' matter how I set the rights (I guess).
> >
> > shouldn't be there other directories à la Trash Can #5 or whatever?
> >
> > If it's a permission problem who sould be the owner of the Network Trash
> > Folder?
> >
> >
> > charlie wood wrote:
> >>
> >> I had a similar problem.
> >> Fixed it thusly:
> >> chmod 2775 /home/Projects/Network Trash Folder
> >>
> >> where /home/Projects/ is the path to the server volume.
> >>
> >> eh?
> >>
> >> </charlie>
> >>
> >> _____________________________
> >> Charlie Wood
> >> ID, Incorporated
> >> 1620 SW Taylor St Suite 100
> >> Portland, OR 97205
> >> {v} 503-223-7737   {f} 503-223-2719
> >> {e} [email-masked]   {w} http://www.id-inc.com
> >>
> >> -------original message-------
> >>
> >>> From: Mac Conin <[email-masked]>
> >>> Organization: EUC Online Service GmbH
> >>> Date: Wed, 25 Apr 2001 17:50:50 +0200
> >>> To: "[email-masked]" <[email-masked]>
> >>> Subject: one apple volume and different users
> >>> Resent-From: [email-masked]
> >>> Resent-Date: Wed, 25 Apr 2001 12:00:56 -0400 (EDT)
> >>>
> >>> Hmm,
> >>>
> >>>
> >>> Does that work?
> >>>
> >>> one apple volume and several users accessing this volume.
> >>> how do I get differnt trashs for each user for that volume?
> >>>
> >>> at the moment only the first user who put something into the
> >>> trash is capable of using the trash. each following action
> >>> from other users causing the error (something like that):
> >>> 'you can't put files into the trash. You can delete the files directlly'
> >>>
> >>> this drives me nuts
> >
> > --
> > --schnipp--
> >
> > mit freundlichen grüssen
> >
> > -----------------------------------------------------------
> > Mac Conin                        EUC Online Service GmbH
> > [email-masked]                    D 50676 Koeln
> > http://www.euc.de
> > tel : +49-221-923 27 33          fax : +49-221-239 651
> > -----------------------------------------------------------
> >

-- 
--schnipp-- 

mit freundlichen grüssen

-----------------------------------------------------------
Mac Conin                        EUC Online Service GmbH
Geschäftsführer                  Taubengasse 9
[email-masked]                    D 50676 Koeln
http://www.euc.de                HRB Köln 32038
tel : +49-221-923 27 33          fax : +49-221-239 651
-----------------------------------------------------------
EUC sponsort Clean up Cologne - eine Iniative der IHK Köln,
der Abfallwirtschaftsbetriebe Köln (AWB) und dem
Grünflächenamt der Stadt Köln. http://www.clean-up-cologne.de